component: CallbackObject
proto_imports:
  - base/diag/example/callback_object/diagnostics.proto
metric: CallbackObjectMetric
namespace: zoox::diag::example::callback_object
faults:
  - id: 1
    name: CurrentLow
    severity: ERROR
    description: Sensor current is too low
  - id: 2
    name: CurrentHigh
    severity: ERROR
    description: Sensor current is too high
  - id: 3
    name: VoltageLow
    severity: ERROR
    description: Sensor voltage is too low
  - id: 4
    name: VoltageHigh
    severity: ERROR
    description: Sensor voltage is too high
